.content-cols{
    display: flex;
    justify-content: space-between;
}

.content-cols.-mainpage:not(:last-child) {
    margin: 0 0 70px
}

.maincontent{
    order: 5;
    width: 100%;
}

@media (min-width: 1025px) {
    .content-cols--sidebar .maincontent {
        width: calc(100% - 260px);
    }

    .sidebar {
        width: 230px;
    }

    .sidebar.-left {
        order: 1;
        margin-right: 30px;
    }

    .sidebar.-right {
        order: 10;
        margin-left: 30px;
    }
}

@media (max-width: 1024px){
    .sidebar{
        display: none;
    }
}

/* ссылки в сайдбаре */

.sidebar-pages{
    margin: 0;
    padding: 0;
    list-style: none;
    font-size: 15px;
    line-height: 1.2;
}

.sidebar-pages__item{
    margin: 0 0 10px;
}

.sidebar-pages__item:last-child{
    margin-bottom: 0;
}

.sidebar-pages__link{
    color: #000;
    text-decoration: none;
    font-weight: 500;
}

.sidebar-pages__item.selected > .sidebar-pages__link:not(:hover){
    color: var(--bs-color)
}

.sidebar-pages__count{
    font-size: 13px;
    display: inline;
    margin: 0 0 0 5px;
    color: #898989;
}

/* форма поиска в сайдбаре */
.sidebar-search{
    position: relative;
    margin: 0 0 30px;

}

input.sidebar-search__field{
    height: 40px;
    line-height: 40px;
    padding: 0 50px 0 20px;
    border-radius: 10px;
    width: 100%;
    box-sizing: border-box;
    border: none;
    outline: none;
    box-shadow: 0 2px 10px rgba(0,0,0,0.11);
}

input.sidebar-search__field:hover,
input.sidebar-search__field:focus,
input.sidebar-search__field:active{
    border: none;
    outline: none;
    box-shadow: 0 2px 15px rgba(0,0,0,0.13);
}

.sidebar-search__btn{
    width: 40px;
    height: 40px;
    top: 0;
    bottom: 0;
    right: 0;
    position: absolute;
    line-height: 40px;
    text-align: center;
    background: none;
    color: var(--bs-color);
    box-shadow: none;
    font-size: 13px;
    border-radius: 10px;
    cursor: pointer;
}

/* каталог в шапке */

.header-categories__outer{
    flex-shrink: 0;
    margin: 0 1%;
    display: none;
}

@media (min-width: 1025px){
    .header-categories__outer{
        display: block;
    }
}

.header-categories__button{
    height: 40px;
    border-radius: 10px;
    background: var(--bs-bg-color);
    color: var(--bs-bg-color-font);
    font-size: 16px;
    display: flex;
    align-items: center;
    padding: 0 20px;
    cursor: pointer;
    white-space: nowrap;
    font-weight: 500;
    position: relative;
}

.header-categories__button:hover{
    background: var(--add-bg-color);
    color: var(--add-bg-color-font);
}

.header-categories__button-icon{
    margin: 0 8px 0 0;
    font-weight: 400;
    font-size: 15px;
    display: inline-flex;
    width: 14px;
    justify-content: center;
}

.header-categories__button-icon:after{
    content: "\f0c9";
    font-family: 'Font Awesome 5 Pro';
}

.header-categories__button.open .header-categories__button-icon:after{
    content: "\f00d";
}

.header-categories__button.open:after{
    position: absolute;
    bottom: -42px;
    color: #FFF;
    content: "\f0d8";
    font-family: "Font Awesome 5 Pro";
    font-weight: 900;
    line-height: 4px;
    left: 50%;
    margin-left: -4px;
    font-size: 30px;
    z-index: 3;
}

.header.-re-fixed .header-categories__button:after{
    bottom: -25px;
}

.header-categories{
    position: absolute;
    top: 100%;
    left: 0;
    color: #000;
    padding: 0 20px;
    margin: 25px -20px 0;
    font-size: 15px;
    display: none;
    overflow-y: auto;
}

.header.-re-fixed .header-categories{
    margin-top: 20px;
}

.header-categories::-webkit-scrollbar {
    display: none;
}

.header-categories.full-open{
    right: 0;
    padding: 0;
    margin: 25px 0 0;
}

@media (min-width: 1025px){
    .header-categories.open{
        display: block;
    }
}

.header-categories__inner{
    position: relative;
    background: #fbfbfb;
    border-radius: 35px;
    display: flex;
    width: 100%;
    padding: 0 15px 0 0;
}

.header-categories.full-open .header-categories__inner{
    padding: 0;
}

.header-categories__items{
    padding: 30px 0 30px 30px;
    flex: 0 0 340px;
}

.header-categories-item__inner{
    display: flex;
    text-decoration: none;
    padding: 8px 51px 8px 21px;
    align-items: center;
    border-radius: 10px;
    position: relative;
    color: #000;
    min-height: 36px;
    border: 1px solid #fbfbfb;
    box-sizing: border-box;
}

.header-categories-item__inner:not(.hover):hover{
    color: #000;
}

.header-categories-item{
    width: 340px;
}

.header-categories-item.hover .header-categories-item__inner{
    border: 1px solid var(--bs-bg-color);
}

.header-categories-item.hover.has-child .header-categories-item__inner:after{
    content: "\f30b";
    font-family: Font Awesome\ 5 Pro;
    position: absolute;
    right: 30px;
    top: 0;
    bottom: 0;
    margin: auto;
    height: 10px;
    line-height: 10px;
}

.header-categories-item__icon{
    width: 25px;
    flex: 0 0 25px;
    text-align: center;
    margin: 0 10px 0 0;
    max-height: 25px;
}

.header-categories-item__icon img{
    max-height: 100%;
}

.header-categories-item__title{
    flex: 1 1 auto;
    line-height: 20px;
}

.header-subcategories{
    background: #FFF;
    border-radius: 35px;
    box-shadow: 0 2px 10px rgba(0,0,0,0.05);
    flex: 1 1 auto;
    padding: 20px;
    position: relative;
    margin: 0 0 0 -10px;
    display: none;
}

.header-subcategories.open{
    display: flex;
}

.header-subcategories__inner{
    order: 1;
    flex: 1 1 auto;
    height: 500px;
    overflow-y: auto;
}

.header-subcategories__inner::-webkit-scrollbar-track {
    background-color: #ececec
}

.header-subcategories__inner::-webkit-scrollbar {
    width: 5px;
    background-color: #b7b7b7
}

.header-subcategories__inner::-webkit-scrollbar-thumb {
    background-color: #b7b7b7
}

.header-subcategories__head{
    font-weight: bold;
    font-size: 24px;
    position: relative;
    padding: 10px 50px 20px 20px;
}

.header-categories-close{
    position: absolute;
    right: 20px;
    width: 35px;
    height: 35px;
    line-height: 35px;
    text-align: center;
    font-size: 15px;
    top: 0;
    bottom: 0;
    margin: auto;
    background: #faf9fe;
    border-radius: 10px;
    cursor: pointer;
}

.header-subcategories-images {
    display: flex;
    flex-wrap: wrap;
}

.header-subcategories-images__item {
    vertical-align: top;
    padding: 20px;
    box-sizing: border-box;
    flex: 0 0 25%;
    text-decoration: none;
    text-align: center;
    color: #000;
}

.header-subcategories-images__item:hover{
    color: inherit;
}

.header-subcategories-images__img{
    display: block;
    height: 120px;
    line-height: 120px;
    margin: 0 0 15px;
    position: relative;
}

.header-subcategories-images__img img{
    vertical-align: middle;
    display: inline-block;
    max-height: 100%;
    border-radius: 5px;
}

.header-subcategories-images__badge{
    position: absolute;
    top: 0;
    right: 0;
}

.header-subcategories-images__title{
    display: block;
    font-weight: bold;
    line-height: 18px;
}

.header-subcategories-images__title:hover{
    color: var(--bs-color);
}


/* ифно меню */
.header-menu__outer{
    flex: 1 1 auto;
    width: 0;
}

.header-menu{
    display: flex;
    align-items: center;
    white-space: nowrap;
    justify-content: end;
}

.header-menu.responsived-before-init {
    visibility: hidden;
    overflow: hidden
}

.header-menu__item{
    margin: 0 0 0 15px;
    color: #000;
    position: relative;
}

.header-menu__item a{
    text-decoration: none;
    color: inherit;
}

.header-menu__item a:hover,
.header-menu__else:hover{
    color: var(--bs-color)
}

.header-menu__item.-re-hide{
    display: none;
}

.header-menu__item .fa-circle {
    font-size: 3px;
    margin: 0 2px;
}

.header-menu__item,-re-else{
    cursor: pointer;
}

.header-submenu{
    position: absolute;
    top: 100%;
    background: #FFF;
    border-radius: 10px;
    padding: 5px 20px;
    box-shadow: 0 4px 20px -4px rgba(0,0,0,0.1);
    white-space: normal;
    line-height: 1.2;
    display: none;
    box-sizing: border-box;
    left: -90px;
    list-style: none;
    width: 180px;
    margin: 0 0 0 50%;
}

.header-menu__item:hover .header-submenu{
    display: block;
}

.header-submenu__item{
    margin: 10px 0;
}

.m-menu-button.-re-hide-desktop{
    display: none;
}

@media (max-width: 1024px){
    .m-menu-button.-re-hide-desktop{
        display: block;
    }

    .header-catalog,
    .header-menu__outer{
        display: none;
    }
}

.sidebar-item{
    background: #FFF;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0,0,0,.06);
    border: none;
    padding: 25px;
    font-size: 13px;
    margin: 0 0 30px;
}

.sidebar-item:last-child{
    margin: 0;
}

.sidebar-item__head{
    margin: 0 0 15px;
    font-size: 16px;
    font-weight: bold;
}

.sidebar-item .pages li{
    display: block;
    margin: 0 0 10px 0;
}

.sidebar-item .pages a{
    text-decoration: none;
    font-weight: 500;
    color: #000;
}

.sidebar-item .pages a:hover{
    text-decoration: underline;
    color: var(--bs-color);
}

.sidebar-item .pages li.selected a{
    color: var(--bs-color);
}

/* sidebar categories */

.sidebar-categories{
    background: #FFF;
    font-weight: 500;
    border-radius: 10px;
    overflow: hidden;
    border: none;
    padding: 15px 0;
    font-size: 13px;
    margin: 0 0 30px;
    box-shadow: 0 0 10px rgba(0,0,0,.06);
}

.sidebar-categories:last-child{
    margin-bottom: 0;
}

.sidebar-categories__item{
    position: relative;
    color: #000;
}

.sidebar-categories__item.-re-selected{
    color: var(--bs-color);
}

.sidebar-categories__item.-has-child{
    padding: 0 20px 0 0;
}

.sidebar-categories__caret{
    position: absolute;
    top: 15px;
    right: 25px;
    text-align: center;
    height: 20px;
    line-height: 20px;
    width: 20px;
    font-size: 15px;
    cursor: pointer;
    transition: .2s;
    top: 7px;
}

.sidebar-categories__item.-re-open > .sidebar-categories__caret{
    transform: rotate(180deg);
}

.sidebar-categories__link{
    display: flex;
    width: 100%;
    box-sizing: border-box;
    padding: 5px 25px;
    text-decoration: none;
    color: inherit;
    align-items: center;
    line-height: 1.3;
}

.sidebar-categories__link:hover{
    color: var(--bs-color);
}

.sidebar-categories__title{
    min-height: 25px;
    display: flex;
    align-items: center;
    flex: 1 1 auto;
    font-weight: 600;
}

.sidebar-categories__icon{
    flex: 0 0 25px;
    height: 25px;
    display: flex;
    align-items: center;
    margin: 0 10px 0 0;
}

.sidebar-categories__icon img{
    max-height: 100%;
}


.sidebar-subcategories{
    padding: 7px 0 0 40px;
    display: none;
    color: #5f5f5f;
}

.sidebar-categories__item.-re-open > .sidebar-subcategories,
.sidebar-subcategories__item.-re-open > .sidebar-subcategories{
    display: block;
}

.sidebar-subcategories .sidebar-subcategories{
    padding: 15px 0 5px 40px;
}

.sidebar-subcategories__item{
    margin: 0 0 10px;
    color: #000;
    position: relative;
}


.sidebar-subcategories__item.-re-selected{
    color: var(--bs-color);
}


.sidebar-subcategories__link{
    text-decoration: none;
    line-height: 1.2;
    padding: 0 20px 0 0;
    display: block;
    color: inherit;
    font-size: 12px;
}

.sidebar-subcategories__link:hover{
    color: var(--bs-color);
}

.sidebar-subcategories__caret{
    position: absolute;
    cursor: pointer;
    left: -20px;
    top: -1px;
    width: 20px;
    text-align: center;
    font-size: 18px;
    height: 15px;
    line-height: 15px;
    color: var(--bs-color)
}

.sidebar-subcategories__caret:after{
    content: "+";
}

.sidebar-subcategories__item.-re-open > .sidebar-subcategories__caret:after{
    content: "-";
}

/* sidebar dropdown categories */
.sidebar-categories-dropdown{
    position: relative;
    margin-top: -5px;
    margin-bottom: 40px;
}

.sidebar-categories-dropdown:last-child{
    margin-bottom: 0;
}

.sidebar-categories-dropdown.full-open {
    z-index: 25;
    width: 100%;
}

.sidebar-categories-dropdown__item{
    padding: 2px 0;
}

.sidebar-categories-dropdown__link{
    display: flex;
    background: #f3f3f3;
    color: #000;
    font-weight: 600;
    font-size: 14px;
    text-decoration: none;
    border-radius: 12px;
    padding: 4px 20px;
    min-height: 50px;
    align-items: center;
    position: relative;
    z-index: 5;
    box-sizing: border-box;
}

.sidebar-categories-dropdown__link:not(.hover):hover{
    color: #000;
}

.sidebar-categories-dropdown__item.hover .sidebar-categories-dropdown__link{
    color: var(--bs-bg-color-font);
    background: var(--bs-bg-color);
}

.sidebar-categories-dropdown__title{
    flex: 1 1 auto;
    line-height: 16px;
}

.sidebar-categories-dropdown__icon{
    width: 25px;
    height: 25px;
    flex: 0 0 25px;
    text-align: center;
    margin: 0 0 0 10px;
    display: flex;
    align-items: center;
    justify-content: center;
}



.sidebar-categories-dropdown__icon img{
    vertical-align: middle;
    display: inline-block;
    max-height: 25px;
}

.sidebar-categories-dropdown__item.has-child.hover .sidebar-categories-dropdown__icon img {
    display: none !important;
}

.sidebar-categories-dropdown__item.has-child.hover .sidebar-categories-dropdown__icon:before{
    content: "\f30b";
    font-family: 'Font Awesome 5 Pro';
}

.sidebar-subcategories-dropdown{
    padding: 20px 20px 20px 290px;
    position: absolute;
    display: none;
    width: calc(1140px + 290px);
    background: #FFF;
    border-radius: 20px 35px 35px 20px;
    min-height: 100%;
    left: -10px;
    top: -10px;
    height: calc(100% + 20px);
    box-sizing: border-box;
}

.sidebar-categories-dropdown__item.hover .sidebar-subcategories-dropdown{
    display: flex;
}

@media (max-width: 1550px){
    .sidebar-subcategories-dropdown{
        width: calc(1040px + 290px)
    }
}

@media (max-width: 1480px){
    .sidebar-subcategories-dropdown{
        width: calc(900px + 290px)
    }
}

@media (max-width: 1280px){
    .sidebar-subcategories-dropdown{
        width: calc(750px + 290px)
    }
}

@media (max-width: 1110px){
    .sidebar-subcategories-dropdown{
        width: calc(650px + 290px)
    }
}

.sidebar-subcategories-dropdown__inner{
    order: 1;
    flex: 1 1 auto;
    max-height: 100%;
    overflow-y: auto;
}

.sidebar-subcategories-dropdown__inner::-webkit-scrollbar-track {
    background-color: #ececec
}

.sidebar-subcategories-dropdown__inner::-webkit-scrollbar {
    width: 5px;
    background-color: #b7b7b7
}

.sidebar-subcategories-dropdown__inner::-webkit-scrollbar-thumb {
    background-color: #b7b7b7
}

.sidebar-subcategories-dropdown__head{
    font-weight: bold;
    font-size: 24px;
    position: relative;
    padding: 10px 50px 20px 20px;
}

.sidebar-categories-dropdown-close{
    position: absolute;
    right: 20px;
    width: 35px;
    height: 35px;
    line-height: 35px;
    text-align: center;
    font-size: 15px;
    top: 0;
    bottom: 0;
    margin: auto;
    background: #faf9fe;
    border-radius: 10px;
    cursor: pointer;
}

.sidebar-subcategories-dropdown-images {
    display: flex;
    flex-wrap: wrap;
}

.sidebar-subcategories-dropdown-images__item {
    vertical-align: top;
    padding: 20px;
    box-sizing: border-box;
    flex: 0 0 25%;
    text-decoration: none;
    text-align: center;
    color: #000;
}

.sidebar-subcategories-dropdown-images__item:hover{
    color: inherit;
}

.sidebar-subcategories-dropdown-images__img{
    display: block;
    height: 120px;
    line-height: 120px;
    margin: 0 0 15px;
    position: relative;
}

.sidebar-subcategories-dropdown-images__img img{
    vertical-align: middle;
    display: inline-block;
    max-height: 100%;
    border-radius: 5px;
}

.sidebar-subcategories-dropdown-images__title{
    display: block;
    font-weight: bold;
    line-height: 18px;
}

.sidebar-subcategories-dropdown-images__title:hover{
    color: var(--bs-color);
}



